From: "Benda XU" <heroxbd@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-video/rtmpdump/
Date: Thu, 24 Aug 2017 07:11:50 +0000 (UTC) [thread overview]
Message-ID: <1503558702.072832ee7e42b6939b2374827b4b22679e8fe0e3.heroxbd@gentoo> (raw)
commit: 072832ee7e42b6939b2374827b4b22679e8fe0e3
Author: Benda Xu <heroxbd <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 24 07:11:23 2017 +0000
Commit: Benda XU <heroxbd <AT> gentoo <DOT> org>
CommitDate: Thu Aug 24 07:11:42 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=072832ee
media-video/rtmpdump: fix librtmp pkg-config paths for Prefix.
Bump -9999 to EAPI 6 and git-r3 as a side effect.
Bug: 616202
Package-Manager: Portage-2.3.3, Repoman-2.3.1
...9999.ebuild => rtmpdump-2.4_p20161210-r1.ebuild} | 21 ++++++++++++++-------
media-video/rtmpdump/rtmpdump-9999.ebuild | 9 +++++----
2 files changed, 19 insertions(+), 11 deletions(-)
diff --git a/media-video/rtmpdump/rtmpdump-9999.ebuild b/media-video/rtmpdump/rtmpdump-2.4_p20161210-r1.ebuild
similarity index 79%
copy from media-video/rtmpdump/rtmpdump-9999.ebuild
copy to media-video/rtmpdump/rtmpdump-2.4_p20161210-r1.ebuild
index b4c247a6697..13ae3a45a58 100644
--- a/media-video/rtmpdump/rtmpdump-9999.ebuild
+++ b/media-video/rtmpdump/rtmpdump-2.4_p20161210-r1.ebuild
@@ -1,18 +1,18 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-EAPI="4"
+EAPI="6"
-inherit git-2 multilib toolchain-funcs multilib-minimal flag-o-matic
+inherit multilib toolchain-funcs multilib-minimal flag-o-matic
DESCRIPTION="RTMP client intended to stream audio or video flash content"
HOMEPAGE="http://rtmpdump.mplayerhq.hu/"
-EGIT_REPO_URI="git://git.ffmpeg.org/rtmpdump"
+SRC_URI="https://dev.gentoo.org/~hwoarang/distfiles/${P}.tar.gz"
# the library is LGPL-2.1, the command is GPL-2
LICENSE="GPL-2 LGPL-2.1"
SLOT="0"
-KEYWORDS=""
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux"
IUSE="gnutls polarssl ssl libressl"
DEPEND="ssl? (
@@ -30,6 +30,12 @@ pkg_setup() {
fi
}
+src_unpack() {
+ mkdir -p "${S}" || die "Can't create source directory"
+ cd "${S}" || die
+ unpack ${A}
+}
+
src_prepare() {
# fix #571106 by restoring pre-GCC5 inline semantics
append-cflags -std=gnu89
@@ -40,12 +46,13 @@ src_prepare() {
-e 's:OPT:OPTS:' \
-e 's:CFLAGS=.*:& $(OPT):' librtmp/Makefile \
|| die "failed to fix Makefile"
+ eapply_user
multilib_copy_sources
}
multilib_src_compile() {
if use ssl ; then
- if use gnutls ; then
+ if use gnutls ; then
crypto="GNUTLS"
elif use polarssl ; then
crypto="POLARSSL"
@@ -69,6 +76,6 @@ multilib_src_install() {
else
cd librtmp || die
fi
- emake DESTDIR="${ED}" prefix="/usr" mandir="/usr/share/man" \
+ emake DESTDIR="${D}" prefix="${EPREFIX}/usr" mandir='$(prefix)/share/man' \
CRYPTO="${crypto}" install
}
diff --git a/media-video/rtmpdump/rtmpdump-9999.ebuild b/media-video/rtmpdump/rtmpdump-9999.ebuild
index b4c247a6697..80f3d75437d 100644
--- a/media-video/rtmpdump/rtmpdump-9999.ebuild
+++ b/media-video/rtmpdump/rtmpdump-9999.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-EAPI="4"
+EAPI="6"
-inherit git-2 multilib toolchain-funcs multilib-minimal flag-o-matic
+inherit git-r3 multilib toolchain-funcs multilib-minimal flag-o-matic
DESCRIPTION="RTMP client intended to stream audio or video flash content"
HOMEPAGE="http://rtmpdump.mplayerhq.hu/"
@@ -40,6 +40,7 @@ src_prepare() {
-e 's:OPT:OPTS:' \
-e 's:CFLAGS=.*:& $(OPT):' librtmp/Makefile \
|| die "failed to fix Makefile"
+ eapply_user
multilib_copy_sources
}
@@ -69,6 +70,6 @@ multilib_src_install() {
else
cd librtmp || die
fi
- emake DESTDIR="${ED}" prefix="/usr" mandir="/usr/share/man" \
+ emake DESTDIR="${D}" prefix="${EPREFIX}/usr" mandir='$(prefix)/share/man' \
CRYPTO="${crypto}" install
}
next reply other threads:[~2017-08-24 7:11 UTC|newest]
Thread overview: 50+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-08-24 7:11 Benda XU [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-06 20:14 [gentoo-commits] repo/gentoo:master commit in: media-video/rtmpdump/ Sam James
2024-12-04 9:15 Sam James
2024-12-03 12:10 Sam James
2024-12-02 15:00 Sam James
2024-12-02 14:57 Sam James
2024-12-02 14:50 Sam James
2024-12-02 14:50 Sam James
2024-03-15 16:24 Craig Andrews
2022-05-13 12:19 WANG Xuerui
2022-05-13 12:19 WANG Xuerui
2021-07-01 11:02 Marek Szuba
2021-05-03 17:09 Mikle Kolyada
2021-05-03 9:32 Mikle Kolyada
2021-05-03 9:31 Mikle Kolyada
2021-05-01 18:24 Sam James
2020-08-13 20:50 Craig Andrews
2020-06-23 15:22 Craig Andrews
2020-06-10 13:11 Craig Andrews
2019-10-10 20:30 Andreas Sturmlechner
2019-07-22 14:43 Craig Andrews
2019-05-15 15:27 Mikle Kolyada
2019-05-13 0:38 Thomas Deutschmann
2019-05-06 17:13 Sergei Trofimovich
2019-05-03 15:28 Aaron Bauman
2019-04-30 9:59 Mikle Kolyada
2019-04-29 20:11 Sergei Trofimovich
2019-04-29 20:09 Sergei Trofimovich
2019-02-15 20:57 Mike Gilbert
2018-10-27 2:42 Craig Andrews
2018-10-26 19:48 Craig Andrews
2018-03-26 19:18 Aaron Bauman
2018-03-26 19:18 Aaron Bauman
2017-11-04 20:31 Thomas Deutschmann
2017-09-07 13:12 Craig Andrews
2017-07-16 1:09 Aaron Bauman
2017-06-18 11:56 Alexis Ballier
2017-04-01 12:15 Michael Weber
2017-01-15 20:49 Jeroen Roovers
2016-12-13 11:30 Agostino Sarubbo
2016-12-13 11:05 Agostino Sarubbo
2016-12-10 19:37 Markos Chandras
2016-09-14 16:33 Alexis Ballier
2016-09-14 16:33 Alexis Ballier
2016-09-14 11:16 Patrice Clement
2016-09-14 11:16 Patrice Clement
2016-06-16 7:01 Patrice Clement
2016-06-11 8:13 Michał Górny
2016-05-30 12:50 Lars Wendler
2016-05-14 8:49 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1503558702.072832ee7e42b6939b2374827b4b22679e8fe0e3.heroxbd@gentoo \
--to=heroxbd@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox